#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  gspell-1.14.3

- Next

  icu-78.3

- Up
- Home

# highway-1.4.0

## Introduction to highway

The highway package contains a C++ library that provides portable SIMD/vector intrinsics.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/google/highway/archive/1.4.0/highway-1.4.0.tar.gz

- Download MD5 sum: 9d335797777e17f827c7980b8313a34b

- Download size: 3.6 MB

- Estimated disk space required: 41 MB

- Estimated build time: 0.6 SBU (with parallelism=4)

### highway Dependencies

#### Required

CMake-4.3.2

## Installation of highway

Install highway by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_TESTING=OFF         \
          -D BUILD_SHARED_LIBS=ON      \
          -G Ninja ..                  &&
    ninja

This package does come with a test suite, but it requires gtest, which is not in BLFS.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D BUILD_TESTING=OFF`: This parameter disables the test suite from being built because gtest is not part of BLFS. Without this parameter, CMake will download this package during the configuration process. If you wish to run the tests, install gtest and then remove this parameter.

`-D BUILD_SHARED_LIBS=ON`: This parameter enables building shared versions of the libraries instead of static versions.

## Contents

Installed Programs: None
Installed Libraries: libhwy.so, libhwy_contrib.so, and libhwy_test.so
Installed Directories: /usr/include/hwy and /usr/lib/cmake/hwy

### Short Descriptions

`libhwy.so` | contains functions that provide portable SIMD/vector intrinsics
`libhwy_contrib.so` | contains several additions to Highway, including a series of dot product, image, math, and sort routines
`libhwy_test.so` | contains test helpers for Highway

- Prev

  gspell-1.14.3

- Next

  icu-78.3

- Up
- Home